<img src="https://raw.githubusercontent.com/RohitLearner/Image-ica/master/scr/logo.png" align = left
     title="Image-ica logo by Freepik" height="135">


# Image-ica : The Photo Editor
⭐️ Star us on GitHub — it helps!

## Why a new photo editor?
There are many factors which guided us to reach a unanimous decision of building a photo editor software from the scratch. The few of the reasons are listed as follows.

 - Many photo editors available online and required internet connection for whole period.
 - Many features are for the licensed version only and support only basic operation in free version.
 - Not a single software provides all these operations.
## What's new in this ?
The basic features which are included in **Image-ica** are :

1. Zooming
2. Rotation
3. Flipping
4. Gray-Scaling
5. Image Viewer

Building architecture independent software was one of the topic priority of the project. 

The advance features are also mentioned below :
1. 1- Click Encryption and Decryption
2. Color Pop
3. Fast and Powerful Filters (Sepia,Negative,Black & White)
4. Histogram ( R, G & B)

## Getting Started

These instructions will get you a copy of the project up and running on your local machine for development and testing purposes. 

### Prerequisites

You need to install the libraries of python and install them in your machine.

```
 - pip
 - PyQt5 
 - numpy 
 - pycryptodome 
 - Pillow

```

### Installing

A step by step series of examples that tell you how to get a 
To clone and run this application, you'll need  [Git](https://git-scm.com/)  and  [Node.js](https://nodejs.org/en/download/)  (which comes with  [npm](http://npmjs.com/)) installed on your computer. From your command line:
```
 Clone this repository
$ git clone https://github.com/RohitLearner/Image-ica

 Go into the repository
$ cd Image-ica
$ cd scr

Install prerequisites

Run in command prompt/terminal
$ python3 photo_editor.py
```
## Deployment

The final deployment will look similar to the following :
1. Starting Screen on running command
<img src="https://raw.githubusercontent.com/RohitLearner/Image-ica/master/docs/Starting%20Screen.png" title="starting screen" width = "700" height="400">

2. 1-click encryption & decryption
<img src="https://raw.githubusercontent.com/RohitLearner/Image-ica/master/docs/1%20click%20cryptography.png" title="1 click encryption & decryption" width = "700" height="400">

3. Basic rotations by clicking on the button.
<img src="https://raw.githubusercontent.com/RohitLearner/Image-ica/master/docs/Basic%20rotations.png" title="Basic rotations" width = "700" height="400">

4. Adjustment in Images
<img src="https://raw.githubusercontent.com/RohitLearner/Image-ica/master/docs/Adjustment%20in%20Images.png" title="Adjustment in Images" width = "700" height="400">

5.  Saving Changes after modification 
<img src="https://raw.githubusercontent.com/RohitLearner/Image-ica/master/docs/saving%20changes.png" title="Saving Changes" align = "center">

## Built With

-   [PyQt5]([https://www.riverbankcomputing.com/static/Docs/PyQt5/](https://www.riverbankcomputing.com/static/Docs/PyQt5/))  - For UI design and functionality
-   [Numpy]([https://numpy.org/devdocs/user/quickstart.html](https://numpy.org/devdocs/user/quickstart.html))  - For image processing operations
-   [Python3]([https://docs.python.org/3/](https://docs.python.org/3/))  - Used for back end development.
- [Pycryptodome]([[https://pypi.org/project/pycryptodome/](https://pypi.org/project/pycryptodome/)}) - For cryptographic operations.

## Contributor

- [Rohit Kumar Singh](https://github.com/RohitLearner) 
- Anand Bhararia 
- Basant Kumar Bhala 

## Feedback
Feel free to send us feedback on [file an issue](https://github.com/RohitLearner/Image-ica/issues). Feature requests are always welcome. If you wish to contribute, please take a quick look at the [documentation](https://github.com/RohitLearner/Image-ica/blob/master/docs/Documentation.pdf).
## License

This project is licensed under the GNU General Public License v3.0 - see the  [LICENSE.md]([https://github.com/RohitLearner/Image-ica/blob/master/LICENSE](https://github.com/RohitLearner/Image-ica/blob/master/LICENSE))  file for details.

## Acknowledgments
Inspirations are drawn from various Github projects but majorly incentive are from the following :
1. TOAST UI ImageEditor
2. GIMP
3. Papaya
> Logo Designed by [Freepik](http://www.freepik.com).

> Written with [StackEdit](https://stackedit.io/).
